APITask creation rules
Reorder task creation rules
Atomically reorder all task creation rules for a project, assigning priorities matching the array order.
POST https://api.sazabi.com/v1/task-creation-rules/reorder
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/task-creation-rules/reorder" \ -H "Content-Type: application/json" \ -d '{ "orderedRuleIds": [ "acb2e250-9f2e-4634-956f-961b8b1e683d" ] }'{ "rules": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "enabled": true, "provider": "linear", "containerId": "string", "condition": { "minSeverity": "low", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ], "teamIds": [ "3320e832-c6a5-4b64-ade9-357b3004570a" ] }, "defaultItemType": "string", "defaultState": "string", "priority": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}